<template>
  <div class="home">
    <search @start-search="searchMovies" />
    <search-results-header @sort-results="sortSearchResults" />
    <search-results :items="searchResults" />
  </div>
</template>

<script>
import Search from "@/components/Search";
import SearchResults from "@/components/SearchResults";
import SearchResultsHeader from "@/components/SearchResultsHeader";
import { mapGetters, mapMutations } from "vuex";

export default {
  name: "Home",
  components: {
    Search,
    SearchResults,
    SearchResultsHeader
  },
  computed: {
    ...mapGetters(["searchResults"])
  },
  methods: {
    ...mapMutations(["sortSearchResults"]),
    searchMovies: function() {
      this.$store.dispatch("search");
    }
  }
};
</script>
